Bug 551331 (CVE-2009-4498, CVE-2009-4499, CVE-2009-4500, CVE-2009-4501, CVE-2009-4502) - Zabbix multiple vulnerablities
Summary: Zabbix multiple vulnerablities
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2009-4498, CVE-2009-4499, CVE-2009-4500, CVE-2009-4501, CVE-2009-4502
Product: Fedora
Classification: Fedora
Component: zabbix
Version: 13
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-30 05:06 UTC by Ricky Zhou
Modified: 2011-06-27 14:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 14:44:13 UTC
Type: ---


Attachments (Terms of Use)

Description Ricky Zhou 2009-12-30 05:06:35 UTC
Description of problem:
A bunch of rather serious Zabbix vulnerabilities were recently reported on bugtraq, so the package should be updated or the fixes backported.

https://support.zabbix.com/browse/ZBX-1030 - Remote commands execution in Zabbix Server.
https://support.zabbix.com/browse/ZBX-1031 - Remote SQL injection in Zabbix Server.
https://support.zabbix.com/browse/ZBX-1355 - Possible server crash if data received in incorrect format

Version-Release number of selected component (if applicable):
These all seem to affect zabbix 1.6.6.  I am not sure of the status on 1.4.6 (the version in EPEL)

Comment 1 Fedora Update System 2009-12-31 17:44:09 UTC
zabbix-1.6.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/zabbix-1.6.8-1.fc11

Comment 2 Fedora Update System 2009-12-31 17:44:14 UTC
zabbix-1.6.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/zabbix-1.6.8-1.fc12

Comment 3 Dan Horák 2009-12-31 17:52:04 UTC
ZBX-1031 and ZBX-1355 are fixed in 1.6.8 and upstream works on backporting the fix for ZBX-1030

Comment 4 Ricky Zhou 2009-12-31 17:59:06 UTC
Thanks for the quick response!  By the way, it might make sense to mark those updates as security updates.

Any thoughts on what will happen in EPEL with 1.4.6?  Do you know how to find out if that version is affected?

Comment 5 Dan Horák 2010-01-01 11:29:36 UTC
(In reply to comment #4)
> Thanks for the quick response!  By the way, it might make sense to mark those
> updates as security updates.

You are right, I will the update type in bodhi.

> Any thoughts on what will happen in EPEL with 1.4.6?  Do you know how to find
> out if that version is affected?  

I've checked the sources for 1.4.6 and it seems that only part of the fix for ZBX-1355 is relevant there (possible crash in zbx_get_next_field()).

Comment 6 Tomas Hoger 2010-01-05 13:36:51 UTC
These issue were reported here:
  http://www.securityfocus.com/archive/1/508436/30/60/

Following CVEs were assigned:

CVE-2009-4498 - https://support.zabbix.com/browse/ZBX-1030

CVE-2009-4499 - https://support.zabbix.com/browse/ZBX-1031

CVE-2009-4500 - https://support.zabbix.com/browse/ZBX-993
- NULL deref server crash
- this one should be fixed in 1.6.6, but should affect 1.4.6 in EPEL from the quick look at the code

CVE-2009-4501 - https://support.zabbix.com/browse/ZBX-1355


Additional CVE was assigned for an issue fixed in 1.6.7:

CVE-2009-4502 - https://support.zabbix.com/browse/ZBX-1032
- http://www.securityfocus.com/archive/1/508439
- Zabbix Agent EnableRemoteCommands=0 bypass on FreeBSD / Solaris


So unless I'm mistaken, the current situation is as:
- 1.6.8-1 fixes CVE-2009-4499/ZBX-1031 and CVE-2009-4501/ZBX-1355
- 1.6.6-1 currently stable should already have CVE-2009-4500/ZBX-993 fixed
- CVE-2009-4498/ZBX-1030 remains unfixed in 1.6.8-1
- 1.4.6 in EPEL needs a fix for CVE-2009-4500/ZBX-993 and CVE-2009-4501/ZBX-1355

Sounds correct?

Comment 7 Fedora Update System 2010-01-28 00:59:27 UTC
zabbix-1.6.8-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-01-28 01:04:00 UTC
zabbix-1.6.8-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Bug Zapper 2010-03-15 13:43:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2011-06-02 17:01:47 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2011-06-27 14:44:13 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.